POST/shop/status

Get Shop Status

This method retrieves the status of a specified shopID, indicating whether the shop is completed or still in progress
POST/shop/status

Mandatory Fields

  • shopId
  • scheduleId

Status Codes

  • 1 - In-progress
  • 2 - Completed
  • 3 - Terminated with errors
  • 4 - Terminated, No credits available

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKshop status display
400Bad RequestBad RequestNone
401UnauthorizedAuthorization FailedNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /shop/status \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "shopId": 6,
  "scheduleId": 47,
  "sinceDate": "2025-05-06"
}

Example responses

200 Response
[
  {
    "shopId": 1,
    "scheduleId": 2,
    "statusMessage": "InProgress"
  }
]

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.